local	Pledit = import("..Pledit.Pledit")
local	PleditShade = import("..PleditShade.PleditShade")

local	PleditMaster = {}
PleditMaster = class("PleditMaster", cc.Node)

function PleditMaster:ctor(...)
	cc.Node.ctor(self, ...)
	
	do
		local	pledit = Pledit:create()
		pledit:setMaster(self)
		pledit:setName("pledit")
--		self:setContentSize(pledit:getContentSize())
		self:addChild(pledit)
	end
	
	do
		local	pleditShade = PleditShade:create()
		pleditShade:setMaster(self)
		pleditShade:setName("pleditShade")
--		self:setContentSize(pleditShade:getContentSize())
		pleditShade:setVisible(false)
		self:addChild(pleditShade)
	end
end

function PleditMaster:onEnter()
	self:setShade(false)
end

function PleditMaster:setShade(
	shade
	)
	
	local	pledit = self:getChildByName("pledit")
	local	pleditShade = self:getChildByName("pleditShade")
	
	if pledit and pleditShade then
		if shade == true then
			-- e
			pledit:setVisible(false)
			pleditShade:setVisible(true)
			self:setContentSize(pleditShade:getContentSize())
		else
			pledit:setVisible(true)
			pleditShade:setVisible(false)
			self:setContentSize(pledit:getContentSize())
		end
	end
end


return PleditMaster
