local	Text_Url = {}
Text_Url = class("MiniBrowser.Text_Url", ccui.Layout)


function Text_Url:ctor(...)
	ccui.Layout.ctor(self, ...)
	
	-- Nbv
	self:setClippingType(1)
	self.m_string = ""
	
	do
		local	text = cc.Label:create()
		text:createWithTTF(self.m_string, "res/IPAexfont00301/ipaexg.ttf", 12)
		text:setName("text")
		text:setTextColor(cc.c3b(0x00, 0xf0, 0x80))
		self:addChild(text)
	end
	
	self:scheduleUpdate()
end


function Text_Url:update(dt)
	
	local	text = self:getChildByName("text")
	local	url = self:getParent():getParent():getUrl()
	if text and self.m_string ~= url then
		self.m_string = url
		text:setString(self.m_string)
		text:setPosition(cc.p(
			text:getContentSize().width * 0.5,
			self:getContentSize().height * 0.5
			)
		)
	end
end



function Text_Url:onResize(parent)
	parent = parent or self:getParent()
	local	rect = cc.rect(91, 11, parent:getContentSize().width - 116, 13)
	self:setPosition(
		rect.x,
		rect.y
	)
	self:setContentSize(cc.size(rect.width, rect.height))
end


return Text_Url
