
local	Monoster_Mono = {}
Monoster_Mono = class("Monoster_Mono", cc.Sprite)

function Monoster_Mono:ctor(...)
	cc.Sprite.ctor(self, ...)
	self:setContentSize(cc.size(27, 12))
	
	self.m_textureRects = {
		cc.rect(29, 12, 27, 12),	-- normal
		cc.rect(29,  0, 27, 12)		-- active
	}
	
	self:initWithFile("res/skins/pxtone/MONOSTER.bmp", self.m_textureRects[1])
	
	self:scheduleUpdate()
end

function Monoster_Mono:update(dt)
	local	audioManager = self:getScene():getAudioManager()
	local	source = nil
	if audioManager then source = audioManager:getSource() end
	if source and source:isStopped() == false and audioManager:getSoundStatus().channels == 1 then
		self:setTextureRect(self.m_textureRects[2])
	else
		self:setTextureRect(self.m_textureRects[1])
	end
end

return Monoster_Mono

