
local	Monoster_Ster = {}
Monoster_Ster = class("Monoster_Ster", cc.Sprite)

function Monoster_Ster:ctor(...)
	cc.Sprite.ctor(self, ...)
	self:setContentSize(cc.size(29, 12))
	
	self.m_textureRects = {
		cc.rect(0, 12, 27, 12),	-- normal
		cc.rect(0,  0, 27, 12)		-- active
	}
	
	self:initWithFile("res/skins/pxtone/MONOSTER.bmp", self.m_textureRects[1])
	
	self:scheduleUpdate()
end

function Monoster_Ster:update(dt)
	local	audioManager = self:getScene():getAudioManager()
	local	source = nil
	if audioManager then source = audioManager:getSource() end
	if source and source:isStopped() == false and audioManager:getSoundStatus().channels == 2 then
		self:setTextureRect(self.m_textureRects[2])
	else
		self:setTextureRect(self.m_textureRects[1])
	end
end


return Monoster_Ster

