local	Numbers_MinuteTop = {}
Numbers_MinuteTop = class("Numbers_MinuteTop", ccui.TextAtlas)

function Numbers_MinuteTop:ctor(...)
	ccui.TextAtlas.ctor(self, ...)
	
	self:setContentSize(cc.size(9, 13))
	self:setProperty(
		" ",
		"res/skins/pxtone/NUMBERS.bmp",
		9,
		13,
		"0123456789 "
	)
	
	self:scheduleUpdate()
end

function Numbers_MinuteTop:update(dt)
	local	playTime = self:getScene():getAudioList():getPlayTime()
	if playTime then
		local	second = math.floor(playTime)
		local	value = math.floor(second / 60 % 100 / 10)
		self:setStringValue(tostring(value))
	else
		self:setStringValue(" ")
	end
end

--function Numbers_MinuteTop:update(dt)
--	local	audioManager = self:getScene():getAudioManager()
--	local	source = nil
--	if audioManager then source = audioManager:getSource() end
--	if source and source:isStopped() == false then
--		local	second = math.floor(audioManager:getSecond())
--		local	value = math.floor(second / 60 % 100 / 10)
--		self:setStringValue(tostring(value))
--	else
--		self:setStringValue(" ")
--	end
--end

return Numbers_MinuteTop
