local	Playpaus_Dot = {}
Playpaus_Dot = class("Playpaus_Dot", cc.Sprite)


function Playpaus_Dot:ctor(...)
	cc.Sprite.ctor(self, ...)
	
	self:setContentSize(cc.p(3, 9))
	
	self.m_textureRects = {
		cc.rect(33, 0, 3, 9),	-- blank
		cc.rect(36, 0, 3, 9),	-- alive
		cc.rect(39, 0, 3, 9),	-- dead
	}
	
	self:initWithFile("res/skins/pxtone/PLAYPAUS.bmp", self.m_textureRects[1])
	
	self:scheduleUpdate()
end


function Playpaus_Dot:update(dt)
	local	audioManager = self:getScene():getAudioManager()
	local	source = nil
	if audioManager then source = audioManager:getSource() end
	if source and source:isPlaying() then
		self:setTextureRect(self.m_textureRects[2])
	else
		self:setTextureRect(self.m_textureRects[1])
	end
end

return Playpaus_Dot
