local	Text_Bit = {}
Text_Bit = class("Player.Text_Bit", ccui.TextAtlas)

function Text_Bit:ctor(...)
	ccui.TextAtlas.ctor(self, ...)
	self:setProperty(
		"   ",
		"res/skins/pxtone/TEXT.bmp",
		5,
		6,
		"ABCDEFGHIJKLMNOPQRSTUVWXYZ      " .. 
		"0123456789._=<>-'!_+"
	)
	self:setContentSize(cc.size(5 * 3, 6))
	self:scheduleUpdate()
end

function Text_Bit:update()
	
	local	audioManager = self:getScene():getAudioManager()
	local	soundStatus = nil
	if audioManager then soundStatus = audioManager:getSoundStatus() end
	if soundStatus then
		self:setStringValue(
			string.format(
				"%03d",
				soundStatus.bitDepth
			)
		)
	end
end

return Text_Bit
