local	Text_Name = {}
Text_Name = class("Player.Text_Name", ccui.Layout)


function Text_Name:ctor(...)
	ccui.Layout.ctor(self, ...)
	
	-- Nbv
	self:setClippingType(1)
	
	self:setContentSize(cc.size(150, 12))
--	self:setContentSize(cc.size(150, 14))
	
--	self.m_font = love.graphics.newFont(10)
--	self.m_string = ""
	
	do
		local	text = cc.Label:create()
		text:createWithTTF("", "res/IPAexfont00301/ipaexg.ttf", 12)
		text:setName("text")
		text:setTextColor(cc.c3b(0x00, 0xf0, 0x80))
		self:addChild(text)
	end
	
	self:scheduleUpdate()
end

--function Text_Name:draw()
--	
----	local	x, y = self:getDrawSpace().x, self:getDrawSpace().y
----	local	width, height = self:getContentSize().width - 1, self:getContentSize().height - 1
----	love.graphics.polygon(
----		"fill",
----		x, y,
----		x + width, y,
----		x + width, y + height,
----		x, y + height
----	)
--	
--	local	prevFont = love.graphics.getFont()
--	love.graphics.setFont(self.m_font)
--	love.graphics.print(self.m_string, self:getDrawSpace().x, self:getDrawSpace().y)
--	love.graphics.setFont(prevFont)
--end


function Text_Name:update(dt)
	local	audioManager = self:getScene():getAudioManager()
	local	source = nil
	local	string = ""
	if audioManager then source = audioManager:getSource() end
	if self:getScene():getAudioList():isSeekVolume() == true then
		string = string.format(
			"Volume: %d%%",
			math.floor(love.audio.getVolume() * 100)
		)
	elseif source and source:isStopped() == false then
		if self:getScene():getAudioList():isSeekPosbar() == true then
			local	soundStatus = audioManager:getSoundStatus()
			
			local	per = self:getScene():getAudioList():getSeekPosbarPercent() or 0
			local	persecond = soundStatus.duration * per
			local	minsecond = math.floor(persecond % 60)
			local	minminute = math.floor(persecond / 60)
			local	maxsecond = math.floor(soundStatus.duration % 60)
			local	maxminute = math.floor(soundStatus.duration / 60)
			
			string = string.format(
				"Seek To: %d:%02d/%d:%02d(%d%%)",
				minminute,
				minsecond,
				maxminute,
				maxsecond,
				math.floor(per * 100)
			)
		elseif audioManager then
			string = audioManager:getName()
		else
			string = ""
		end
	else
		string = ""
	end
	
	if string then
		local	text = self:getChildByName("text")
		if text then
			text:setString(string)
			text:setPosition(text:getContentSize().width * 0.5, text:getContentSize().height * 0.5)
		end
	end
end


--function Text_Name:update(dt)
--	local	audioManager = self:getScene():getAudioManager()
--	local	source = nil
--	if audioManager then source = audioManager:getSource() end
--	if self:getScene():isSeekVolume() == true then
--		self.m_string = string.format(
--			"Volume: %d%%",
--			math.floor(love.audio.getVolume() * 100)
--		)
--	elseif source and source:isStopped() == false then
--		if self:getScene():isSeekPosbar() == true then
--			local	soundStatus = audioManager:getSoundStatus()
--			
--			local	per = self:getScene():getSeekPosbarPercent() or 0
--			local	persecond = soundStatus.duration * per
--			local	minsecond = math.floor(persecond % 60)
--			local	minminute = math.floor(persecond / 60)
--			local	maxsecond = math.floor(soundStatus.duration % 60)
--			local	maxminute = math.floor(soundStatus.duration / 60)
--			
--			self.m_string = string.format(
--				"Seek To: %d:%02d/%d:%02d(%d%%)",
--				minminute,
--				minsecond,
--				maxminute,
--				maxsecond,
--				math.floor(per * 100)
--			)
--		elseif audioManager then
--			self.m_string = audioManager:getName()
--		else
--			self.m_string = ""
--		end
--	else
--		self.m_string = ""
--	end
--end
--

return Text_Name
