local	Text_Rate = {}
Text_Rate = class("Player.Text_Rate", ccui.TextAtlas)

function Text_Rate:ctor(...)
	ccui.TextAtlas.ctor(self, ...)
	self:setProperty(
		"  ",
		"res/skins/pxtone/TEXT.bmp",
		5,
		6,
		"ABCDEFGHIJKLMNOPQRSTUVWXYZ      " .. 
		"0123456789._=<>-'!_+"
	)
	self:setContentSize(cc.size(5 * 2, 6))
	self:scheduleUpdate()
end

function Text_Rate:update()
	
	local	audioManager = self:getScene():getAudioManager()
	local	soundStatus = nil
	if audioManager then soundStatus = audioManager:getSoundStatus() end
	if soundStatus then
		self:setStringValue(
			string.format(
				"%02d",
				math.floor(soundStatus.sampleRate / 1000)
			)
		)
	end
end

return Text_Rate
