local	Numbers_Minute = {}
Numbers_Minute = class("PlayerShade.Numbers_Minute", ccui.TextAtlas)

function Numbers_Minute:ctor(...)
	ccui.TextAtlas.ctor(self, ...)
	
	self:setContentSize(cc.size(5 * 2, 6))
	self:setProperty(
		"  ",
		"res/skins/pxtone/TEXT.bmp",
		5,
		6,
		"ABCDEFGHIJKLMNOPQRSTUVWXYZ      " .. 
		"0123456789._=<>-'!_+"
	)
	
	self:scheduleUpdate()
end

function Numbers_Minute:update(dt)
	local	playTime = self:getScene():getAudioList():getPlayTime()
	if playTime then
		local	second = math.floor(playTime)
		local	value = math.floor(second / 60 % 100)
		self:setStringValue(string.format("%02d", value))
	else
		self:setStringValue("  ")
	end
end

--function Numbers_Minute:update(dt)
--	local	audioManager = self:getScene():getAudioManager()
--	local	source = nil
--	if audioManager then source = audioManager:getSource() end
--	if source and source:isStopped() == false then
--		local	second = math.floor(audioManager:getSecond())
--		local	value = math.floor(second / 60 % 100)
--		self:setStringValue(string.format("%02d", value))
--	else
--		self:setStringValue("  ")
--	end
--end

return Numbers_Minute
