
local	Pledit_List = import(".Pledit_List")
local	Pledit_Posbar = import(".Pledit_Posbar")

local	Pledit_MainMiddle = {}
Pledit_MainMiddle = class("Pledit_MainMiddle", ccui.Layout)

function Pledit_MainMiddle:ctor(...)
	ccui.Layout.ctor(self, ...)
	
	-- fobO\
	self:setBackGroundColorType(ccui.LayoutBackGroundColorType.gradient)
	self:setBackGroundColor(cc.c3b(0, 0, 62))
end


function Pledit_MainMiddle:onEnter()
	local	page = self:getScene():getAudioList():getScrollPage()
	
	self:setContentSize(cc.size(275, page * 14 + 2))
	
	self:makeBackgroundImages()
	
--	 -- 29 * 2
--	local	step = 29
--	for top = 0, self:getContentSize().height - 1, step do
--		-- 
--		do
--			local	image = cc.Sprite:create()
--			local	rect = cc.rect(0, 42, 25, 29)
--			local	position = cc.rect(0, top, rect.width, rect.height)
--			image:initWithFile("res/skins/pxtone/PLEDIT.bmp", rect)
--			image:setPosition(cc.rectGetMidX(position), cc.rectGetMidY(position))
--			self:addChild(image)
--		end
--		-- E
--		do
--			local	image = cc.Sprite:create()
--			local	rect = cc.rect(26, 42, 25, 29)
--			local	position = cc.rect(self:getContentSize().width - 25, top, rect.width, rect.height)
--			image:initWithFile("res/skins/pxtone/PLEDIT.bmp", rect)
--			image:setPosition(cc.rectGetMidX(position), cc.rectGetMidY(position))
--			self:addChild(image)
--		end
--	end
	
	do
		local	list = Pledit_List:create()
		list:setPosition(12, 1)
		list:setName("list")
		list:setLocalZOrder(1)
		self:addChild(list)
	end
	
	do
		local	posbar = Pledit_Posbar:create()
		posbar:setPosition(260, 0)
		posbar:setName("posbar")
		posbar:setLocalZOrder(1)
		self:addChild(posbar)
	end
end


function Pledit_MainMiddle:makeBackgroundImages()
	-- 29 * 2
	
	
	local	children = self:getChildren()
	for i, child in ipairs(children) do
		-- ̂폜
		if child:getName() == nil then
			self:removeChild(child)
		end
	end
	
	local	step = 29
	for top = 0, self:getContentSize().height - 1, step do
		-- 
		do
			local	image = cc.Sprite:create()
			local	rect = cc.rect(0, 42, 25, 29)
			local	position = cc.rect(0, top, rect.width, rect.height)
			image:initWithFile("res/skins/pxtone/PLEDIT.bmp", rect)
			image:setPosition(cc.rectGetMidX(position), cc.rectGetMidY(position))
			self:addChild(image)
		end
		-- E
		do
			local	image = cc.Sprite:create()
			local	rect = cc.rect(26, 42, 25, 29)
			local	position = cc.rect(self:getContentSize().width - 25, top, rect.width, rect.height)
			image:initWithFile("res/skins/pxtone/PLEDIT.bmp", rect)
			image:setPosition(cc.rectGetMidX(position), cc.rectGetMidY(position))
			self:addChild(image)
		end
	end
end

function Pledit_MainMiddle:onReload()
	do
		local	list = self:getChildByName("list")
		if list then list:onReload() end
	end
end


function Pledit_MainMiddle:onResize()
	local	page = self:getScene():getAudioList():getScrollPage()
	
	-- TCY
	self:setContentSize(cc.size(275, page * 14 + 2))
	
	-- č쐬
	self:makeBackgroundImages()
	
	-- 
	do
		local	list = self:getChildByName("list")
		if list then list:onResize() end
	end
	do
		local	posbar = self:getChildByName("posbar")
		if posbar then posbar:onResize() end
	end
end


return Pledit_MainMiddle


