local	Pledit_MainTop = {}
Pledit_MainTop = class("Pledit_MainTop", ccui.Layout)

function Pledit_MainTop:ctor(...)
	ccui.Layout.ctor(self, ...)
	self:setContentSize(cc.size(275, 20))
	
	
	-- fobO\
--	self:setBackGroundColorType(ccui.LayoutBackGroundColorType.solid)
--	self:setBackGroundColorType(ccui.LayoutBackGroundColorType.gradient)
	
	self.m_backgroundTag = 0
	
	-- 
	do
		local	image = cc.Sprite:create()
		local	rect = cc.rect(0, 0, 25, 20)
		image:initWithFile("res/skins/pxtone/PLEDIT.bmp", rect)
		image:setPosition(
			0 + image:getContentSize().width  * 0.5,
			0 + image:getContentSize().height * 0.5
		)
		self.m_backgroundTag = self.m_backgroundTag + 1
		image:setTag(self.m_backgroundTag)
		self:addChild(image)
	end
	
	-- ̗niL΂Hj
	for left = 25, self:getContentSize().width - 50, 25 do
		local	image = cc.Sprite:create()
		local	rect = cc.rect(127, 0, 25, 20)
		image:initWithFile("res/skins/pxtone/PLEDIT.bmp", rect)
		image:setPosition(
			left + image:getContentSize().width  * 0.5,
			0    + image:getContentSize().height * 0.5
		)
		self.m_backgroundTag = self.m_backgroundTag + 1
		image:setTag(self.m_backgroundTag)
		self:addChild(image)
	end
	
	-- 
	do
		local	image = cc.Sprite:create()
		local	rect = cc.rect(26, 0, 100, 20)
		image:initWithFile("res/skins/pxtone/PLEDIT.bmp", rect)
		image:setPosition(
			self:getContentSize().width  * 0.5,
			self:getContentSize().height * 0.5
		)
		self.m_backgroundTag = self.m_backgroundTag + 1
		image:setTag(self.m_backgroundTag)
		self:addChild(image)
	end
	
	-- E
	do
		local	image = cc.Sprite:create()
		local	rect = cc.rect(153, 0, 25, 20)
		image:initWithFile("res/skins/pxtone/PLEDIT.bmp", rect)
		image:setPosition(
			self:getContentSize().width - image:getContentSize().width + image:getContentSize().width  * 0.5,
			0 + image:getContentSize().height * 0.5
		)
		self.m_backgroundTag = self.m_backgroundTag + 1
		image:setTag(self.m_backgroundTag)
		self:addChild(image)
	end
	
	local	buttons = {
		-- e
		{
			size = cc.size(9, 9),
			position = cc.rect(254, 3, 9, 9),
			normal = "res/skins/pxtone/TITLEBAR.bmp",
			normalRect = cc.rect(9 * 0, 18 + 9 * 0, 9, 9),
			selected = "res/skins/pxtone/TITLEBAR.bmp",
			selectedRect = cc.rect(9 * 1, 18 + 9 * 0, 9, 9),
			onClick = handler(self, self.buttonTitlebarShade)
		},
		-- 
		{
			size = cc.size(9, 9),
			position = cc.rect(264, 3, 9, 9),
			normal = "res/skins/pxtone/TITLEBAR.bmp",
			normalRect = cc.rect(18 + 9 * 0, 9 * 0, 9, 9),
			selected = "res/skins/pxtone/TITLEBAR.bmp",
			selectedRect = cc.rect(18 + 9 * 0, 9 * 1, 9, 9),
			onClick = handler(self, self.buttonTitlebarClose)
		},
	}
	
	for index, bs in ipairs(buttons) do
		local	button = ccui.Button:create()
		if bs.normal then
			-- WeLX`
			button:loadTextureNormal(
				bs.normal,
				bs.normalRect
			)
		end
		if bs.selected then
			-- IeLX`
			button:loadTextureSelected(
				bs.selected,
				bs.selectedRect
			)
		end
		if bs.size then
			-- TCY
			button:setContentSize(bs.size)
		end
		if bs.position then
			-- ʒui`FAJ[͒j
			button:setPosition(cc.rectGetMidX(bs.position), cc.rectGetMidY(bs.position))
		end
		button:setMouseEnabled(
			true,
			{
				onClick = bs.onClick,
				onDown = handler(self, self.buttonOnForeground),
				onUp = handler(self, self.buttonOnForeground),
			}
		)
		self:addChild(button)
	end
	
	self:scheduleUpdate()
end


function Pledit_MainTop:update(dt)
	-- ^Otꂽ̂XV
	for tag = 1, self.m_backgroundTag do
		local	child = self:getChildByTag(tag)
		if child then
			local	rect = child:getTextureRect()
			
			if self:getParent():isForeground() then
--			if self:getParent():isLocalZOrderForeground() then
				rect.y = 0
			else
				rect.y = 21
			end
			child:setTextureRect(rect)
		end
	end
end


function Pledit_MainTop:buttonOnForeground(
	button,
	event
	)
	
	-- őOʂ
	self:getParent():setForeground()
end


function Pledit_MainTop:buttonTitlebarShade(
	-- e
	button
	)
	-- őOʂ
--	self:getParent():setForeground()
--	self:getParent():setLocalZOrderForeground()
	
	local	master = self:getParent():getMaster()
	if master then
		master:setShade(true)
	end
end


function Pledit_MainTop:buttonTitlebarClose(
	-- 
	button
	)
	
	self:getParent():getParent():setVisible(false)
	
	-- őOʂ
--	self:getParent():setForeground()
--	self:getParent():setLocalZOrderForeground()
end



return Pledit_MainTop
