local	Background = {}

Background = class("PleditShade.Background", cc.Layer)

function Background:ctor(...)
	cc.Layer.ctor(self, ...)
	
	self:setContentSize(cc.size(275, 14))
	
	self.m_backgroundTag = 0
	
	-- 
	do
		local	image = cc.Sprite:create()
		local	rect = cc.rect(72, 42, 25, 14)
		image:initWithFile("res/skins/pxtone/PLEDIT.bmp", rect)
		image:setPosition(
			0 + image:getContentSize().width  * 0.5,
			0 + image:getContentSize().height * 0.5
		)
--		self.m_backgroundTag = self.m_backgroundTag + 1
--		image:setTag(self.m_backgroundTag)
		self:addChild(image)
	end
	
	-- ̗niL΂Hj
	for left = 25, self:getContentSize().width - 50, 25 do
		local	image = cc.Sprite:create()
		local	rect = cc.rect(72, 57, 25, 14)
		image:initWithFile("res/skins/pxtone/PLEDIT.bmp", rect)
		image:setPosition(
			left + image:getContentSize().width  * 0.5,
			0    + image:getContentSize().height * 0.5
		)
--		self.m_backgroundTag = self.m_backgroundTag + 1
--		image:setTag(self.m_backgroundTag)
		self:addChild(image)
	end
	
	-- E
	do
		local	image = cc.Sprite:create()
		local	rect = cc.rect(99, 42, 50, 14)
		image:initWithFile("res/skins/pxtone/PLEDIT.bmp", rect)
		image:setPosition(
			self:getContentSize().width - image:getContentSize().width + image:getContentSize().width  * 0.5,
			0 + image:getContentSize().height * 0.5
		)
		self.m_backgroundTag = self.m_backgroundTag + 1
		image:setTag(self.m_backgroundTag)
		self:addChild(image)
	end
	
	self:scheduleUpdate()
end

function Background:update(dt)
	-- ^Otꂽ̂XV
	for tag = 1, self.m_backgroundTag do
		local	child = self:getChildByTag(tag)
		if child then
			local	rect = child:getTextureRect()
			
			if self:getParent():isForeground() then
--			if self:getParent():isLocalZOrderForeground() then
				rect.y = 42
			else
				rect.y = 57
			end
			child:setTextureRect(rect)
		end
	end
end


return Background

