
local	Icon = {}

Icon = class("TaskBar.Icon", ccui.Button)

function Icon:ctor(image, url, ...)
	
	ccui.Button.ctor(self, image, url, ...)
	
	self:loadTextureNormal(image)
	self.m_url = url
	
	self:setMouseEnabled(
		true,
		{
			onClick = function(
				self,
				event
				)
				love.system.openURL(self.m_url)
			end
		}
	)
	self:setContentSize(cc.size(18, 18))
end

return Icon
