local	Spectrum = import(".Spectrum")

local	ContentLayer = {}
ContentLayer = class("ContentLayer", cc.Layer)


function ContentLayer:ctor(...)
	cc.Layer.ctor(self, ...)
end

function ContentLayer:onEnter()
	
	-- Jo[\
	do
		local	sprite = cc.Sprite:create()
		sprite:initWithFile("res/ps040mp3/[Azargabra] - (PS040) Zebrafish [2014] (mp3)/00 [Azargabra] - Zebrafish (Sleeve Front).png")
		sprite:setPosition(self:getContentSize().width * 0.5, self:getContentSize().height * 0.5)
		sprite:setContentSize(cc.size(self:getContentSize().width, self:getContentSize().height))
		sprite:setScale(sprite:getContentSize().width / 800, sprite:getContentSize().height / 800)
		sprite:setRotation(-90)
		self:addChild(sprite)
	end
	
	do
		local	spectrum = Spectrum:create()
		spectrum:setContentSize(self:getContentSize())
		self:addChild(spectrum)
	end
	
end


return ContentLayer
