local	Path = {}
Path = class("Path")

function Path:normalize(
	-- K
	path
	)
	
	local	retry
	
	-- obNXy[XXbVɕϊ
	path = string.gsub(path, "\\", "/")
	
	repeat
		retry = false
		local	fp, lp = string.find(path, '.', 1, true)
		if fp ~= nil then
			if string.sub(path, fp + 1, fp + 1) == "." then
				-- ..ꍇA/WJ
				for i = fp - 2, 1, -1 do
					local	s = string.sub(path, i, i)
					if s == '/' then
						path = string.sub(path, 1, i) .. string.sub(path, fp + 3)
						retry = true
						break
					end
				end
			elseif string.sub(path, fp + 1, fp + 1) == '/' then
				-- .ꍇA낪/WJ
				path = string.sub(path, 1, fp - 1) .. string.sub(path, fp + 2)
				retry = true
			end
		end
	until retry == false
	return path
end


function Path:removeExtension(
	-- gq菜
	path
	)
	
	return string.gsub(path, "(.*)%.(.+)$", "%1")
end


function Path:getExtension(
	-- gq擾
	path
	)
	return string.gsub(path, "(.*)%.(.+)$", "%2")
end


function Path:stripPath(
	path
	)
	-- obNXy[XXbVɕϊ
	path = string.gsub(path, "\\", "/")
	return string.gsub(path, "(.*)%/(.+)$", "%2")
end

return Path

