

local	Entity = import(".Entity")

local	Block = {}

Block = class("Block", Entity)

function Block:ctor(...)
	Entity.ctor(self, ...)
	
	self:setBackGroundColor(cc.c3b(0xff, 0x00, 0x00))
	self:setBackGroundColorType(1)
end

function Block:onEnter()
	local	bump = self:getBump()
	
	if bump then
		bump.addStatic(self)
	end
	
--	self:getParent():getParent().m_bump.addStatic(self)
end

function Block:onExit()
	local	bump = self:getBump()
	if bump then
		bump.remove(self)
	end
end


function Block:bumpShouldCollide(obj)
	return false
end


return Block
