
-- import
local	Player = import(".Entities.Player")
local	Block = import(".Entities.Block")
local	bump = import(".lib.bump")
local	bump_debug = import(".lib.bump_debug")

local	Stage = import(".Stage")


local	width = 4000
local	height = 2000


local	MainLayer = {}

MainLayer = class("MainLayer", cc.Layer)

function MainLayer:ctor(...)
	cc.Layer.ctor(self, ...)
	
	do
		local	stage = Stage:create()
		stage:setContentSize(
			cc.size(
				self:getContentSize().width * 0.9,
				self:getContentSize().height * 0.9
			)
		)
		stage:setPosition(
			cc.p(
				(self:getContentSize().width - stage:getContentSize().width) * 0.5,
				(self:getContentSize().height - stage:getContentSize().height) * 0.5
			)
		)
		self:addChild(stage)
	end
end

return MainLayer

