
local	EventKeyboard = {}
EventKeyboard = class("cc.EventKeyboard")


function EventKeyboard:ctor()
	
	self.m_manager = nil
	
	self.keyReleased = nil
	self.keyPressed = nil
end


function EventKeyboard:setCapture(
	capture
	)
	if self.m_manager then
		return self.m_manager:setCapture(capture)
	end
end


function EventKeyboard:removeCapture()
	if self.m_manager then
		return self.m_manager:removeCapture()
	end
end


function EventKeyboard:getKey()
	if self.m_manager then
		return self.m_manager:getKey()
	end
end


function EventKeyboard:getKeys()
	if self.m_manager then
		return self.m_manager:getKeys()
	end
end


return EventKeyboard
