local	Player = import("..Player.Player")
local	PlayerShade = import("..PlayerShade.PlayerShade")

local	PlayerMaster = {}
PlayerMaster = class("PlayerMaster", cc.Node)

function PlayerMaster:ctor(...)
	cc.Node.ctor(self, ...)
	
	do
		local	player = Player:create()
		player:setMaster(self)
		player:setName("player")
--		self:setContentSize(player:getContentSize())
		self:addChild(player)
	end
	
	do
		local	playerShade = PlayerShade:create()
		playerShade:setMaster(self)
		playerShade:setName("playerShade")
--		self:setContentSize(playerShade:getContentSize())
		playerShade:setVisible(false)
		self:addChild(playerShade)
	end
end

function PlayerMaster:onEnter()
	self:setShade(false)
end

function PlayerMaster:setShade(
	shade
	)
	
	local	player = self:getChildByName("player")
	local	playerShade = self:getChildByName("playerShade")
	
	if player and playerShade then
		if shade == true then
			-- e
			player:setVisible(false)
			playerShade:setVisible(true)
			self:setContentSize(playerShade:getContentSize())
		else
			player:setVisible(true)
			playerShade:setVisible(false)
			self:setContentSize(player:getContentSize())
		end
	end
end


return PlayerMaster
