local	Slave = {}
Slave = class("Slave", ccui.Layout)


function Slave:ctor(...)
	ccui.Layout.ctor(self, ...)
	self.m_master = nil
	
--	self.m_clippingType = 1
	
	-- ナンバータグ
	self.m_numberTag = 123456
	self.m_numberTags = {}
	
	self:scheduleUpdate()
end


function Slave:setMaster(
	master
	)
	self.m_master = master
end


function Slave:getMaster()
	return self.m_master
end


function Slave:isForeground()
	-- 前面？
	if self:getMaster() then
		return self:getMaster():isLocalZOrderForeground()
	else
		return self:isLocalZOrderForeground()
	end
end


function Slave:setForeground()
	-- 前面！
	if self:getMaster() then
		self:getMaster():setLocalZOrderForeground()
	else
		self:setLocalZOrderForeground()
	end
end


function Slave:addNumber(obj)
	-- タグを付けて積み込む
	obj:setTag(self.m_numberTag)
	table.insert(self.m_numberTags, self.m_numberTag)
	self.m_numberTag = self.m_numberTag + 1
	self:addChild(obj)
end


function Slave:update(...)
	
	-- ナンバーディスプレイ
	for key, tag in ipairs(self.m_numberTags) do
		local	obj = self:getChildByTag(tag)
		if obj then
			if self:getScene():getAudioList():isNumberDisplay() then
				obj:setVisible(true)
			else
				obj:setVisible(false)
			end
		end
	end
end

return Slave
