local	Text_Name = {}
Text_Name = class("Player.Text_Name", ccui.Layout)


function Text_Name:ctor(...)
	ccui.Layout.ctor(self, ...)
	
	-- Nbv
	self:setClippingType(1)
	
	self:setContentSize(cc.size(242, 10))
	
	do
		local	text = cc.Label:create()
		text:createWithTTF("",  "res/IPAexfont00301/ipaexg.ttf", 10)
		text:setName("text")
		text:setTextColor(cc.c3b(0x00, 0xf0, 0x80))
		self:addChild(text)
	end
	
	self:scheduleUpdate()
end


function Text_Name:update(dt)
	local	audioManager = self:getScene():getAudioManager()
	local	source = nil
	local	string = ""
	if audioManager then source = audioManager:getSource() end
	
	if source and source:isStopped() == false then
		if audioManager then
			string = audioManager:getName()
		else
			string = ""
		end
	else
		string = ""
	end
	
	if string then
		local	text = self:getChildByName("text")
		if text then
			text:setString(string)
			text:setPosition(text:getContentSize().width * 0.5, text:getContentSize().height * 0.5)
		end
	end
	
end


return Text_Name
