local	TaskButton = {}
TaskButton = class("TaskButton", ccui.Button)


function TaskButton:ctor(...)
	ccui.Button.ctor(self, ...)
	
	self.m_linkName = nil
	self.m_activeTexture = nil
	self.m_activeTextureRect = nil
	self.m_positiveTexture = nil
	self.m_positiveTextureRect = nil
	
	self:setMouseEnabled(
		true,
		{
			onClick = self.onClick
		}
	)
	self:scheduleUpdate()
end


function TaskButton:setLinkName(
	-- ^OŃN𒣂
	linkName
	)
	self.m_linkName = linkName
end


function TaskButton:setActiveTexture(
	-- ANeBu摜
	texture,
	rect
	)
	self.m_activeTexture = texture
	self.m_activeTextureRect = rect
end


function TaskButton:setPositiveTexture(
	-- |WeBu摜
	texture,
	rect
	)
	self.m_positiveTexture = texture
	self.m_positiveTextureRect = rect
end


function TaskButton:onClick(
	event
	)
	if type(self.m_linkName) == "string" then
		local	linkNode = self:getParent():getParent():getChildByName(self.m_linkName)
		if linkNode then
			linkNode:setVisible(not(linkNode:isVisible()))
			if linkNode:isVisible() then
				-- őOʂɂH
				linkNode:setLocalZOrderForeground()
			end
		end
	end
end


function TaskButton:update(dt)
	if type(self.m_linkName) == "string" then
		local	linkNode = self:getParent():getParent():getChildByName(self.m_linkName)
		if linkNode then
			if linkNode:isVisible() then
				-- Ă|WeBuZbg
				if self.m_positiveTexture and self.m_positiveTextureRect then
					self:setTexture(self.m_positiveTexture)
					self:setTextureRect(self.m_positiveTextureRect)
				end
				
			else
				-- ĂȂANeBuZbg
				if self.m_activeTexture and self.m_activeTextureRect then
					self:setTexture(self.m_activeTexture)
					self:setTextureRect(self.m_activeTextureRect)
				end
			end
		end
	end
end

return TaskButton
