
local	Stage = import(".Stage")

local	MainLayer = {}
MainLayer = class("MainLayer", cc.Layer)

function MainLayer:ctor(...)
	cc.Layer.ctor(self, ...)
	
	do
		local	stage = Stage:create()
--		stage:setContentSize(self:getContentSize())
		stage:setContentSize(
			cc.size(
				self:getContentSize().width * 0.8,
				self:getContentSize().height * 0.8
			)
		)
		stage:setPosition(
			(self:getContentSize().width - stage:getContentSize().width) * 0.5,
			(self:getContentSize().height - stage:getContentSize().height) * 0.5
		)
		self:addChild(stage)
	end
end


return MainLayer

