
local	EventMouse = {}
EventMouse = class("cc.EventMouse")


function EventMouse:ctor()
	
	self.m_manager = nil
	
	-- ZbgƃR[֐Q
	self.mouseReleased = nil
	self.mousePressed = nil
	self.onMouseMove = nil
	self.onMouseUp = nil
	self.onMouseDown = nil
--	self.onMouseScroll = nil
end

function EventMouse:getLocation()
	if self.m_manager then
		return self.m_manager:getLocation()
	end
end

function EventMouse:getPreviousLocation()
	if self.m_manager then
		return self.m_manager:getPreviousLocation()
	end
end


function EventMouse:getStartLocation()
	if self.m_manager then
		return self.m_manager:getStartLocation()
	end
end


function EventMouse:getScroll()
	if self.m_manager then
		return self.m_manager:getScroll()
	end
end

function EventMouse:getDelta()
	if self.m_manager then
		return self.m_manager:getDelta()
	end
end

function EventMouse:getButton()
	if self.m_manager then
		return self.m_manager:getButton()
	end
end


function EventMouse:getButtons()
	if self.m_manager then
		return self.m_manager:getButtons()
	end
end


function EventMouse:getCapture()
	if self.m_manager then
		return self.m_manager:getCapture()
	end
end

function EventMouse:isCapture(
	node
	)
	if self.m_manager and node then
		return self.m_manager:getCapture() == node
	end
end

function EventMouse:setCapture(
	-- 
	capture
	)
	if self.m_manager then
		return self.m_manager:setCapture(capture)
	end
end

function EventMouse:removeCapture()
	-- 
	if self.m_manager then
		return self.m_manager:removeCapture()
	end
end

return EventMouse

